<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e($app->title); ?> - <?php echo e(__('Your Link Management in one place')); ?></title>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/toastify.js')); ?>"></script>
    <script src="<?php echo e(asset('js/app.js')); ?>" defer></script>
    <script src="<?php echo e(asset('js/aos.js')); ?>" ></script>
    <script src="<?php echo e(asset('splide/splide.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/fontawesome.js')); ?>" ></script>

    <!-- Fonts -->
    <link rel="stylesheet" href="<?php echo e(asset('css/font.css')); ?>">

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/aos.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/toastify.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('splide/splide.min.css')); ?>">
</head>

<?php
$user = auth()->user();
$SA = false;
if ($user) {
    $roleSA = $user->hasRole('SUPER-ADMIN');
    $editHome = request()->edithome;
    $SA = $roleSA && $editHome ? true : false;
}
?>

<body onscroll="getYPosition()">

    <div id="preloader">
        <div id="loader"></div>
    </div>
    <?php echo $__env->make('layouts.app_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <main style="overflow-x: hidden !important;">
        <?php echo $__env->yieldContent('content'); ?>
    </main>

    <script>
        AOS.init({
            once: true,
        });
    </script>
    <script src="<?php echo e(asset('js/app_header.js')); ?>"></script>
    <script src="<?php echo e(asset('js/utils.js')); ?>"></script>
</body>

</html>
<?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/layouts/app.blade.php ENDPATH**/ ?>