<?php
function getSection($appSections, $name)
{
    foreach ($appSections as $item) {
        if ($item['name'] == $name) {
            return $item;
        }
    }
    return [];
}
?>
<section class="footer">
    <div class="container py-5">
        <div class="row">
            <div class="col-lg-5 text-center text-lg-start">
                <div>
                    <div class="d-flex align-items-center justify-content-center justify-content-lg-start">
                        <img 
                            alt=""
                            width="48px" 
                            height="48px" 
                            class="rounded-3" 
                            src="<?php echo e(asset($app->logo)); ?>" 
                        >
                        <h4 class="ms-3 fw-bold">
                            <?php echo e($app->title); ?>

                        </h4>
                    </div>
                    <p class="py-3 text-disable">
                        <?php echo e($app->description); ?>

                    </p>
                </div>

                <div>
                    <?php
                        $sections = getSection($appSections, 'Follow On');
                    ?>
                    <h6 class="fw-bold py-2"><?php echo e($sections->title); ?></h6>
                    <div class="<?php if($SA): ?> home-section-edit <?php endif; ?>">
                        <?php if($SA): ?>
                            <i style="font-size: 18px;" class="fa-solid fa-pen editIcon" data-bs-toggle="modal"
                                data-bs-target="#editSectionList<?php echo e($sections->id); ?>"></i>
                        <?php endif; ?>
                        <div class="styled-icon justify-content-center justify-content-lg-start">
                            <?php $__currentLoopData = json_decode($sections->section_list); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $encode = json_encode($list);
                                    $item = json_decode($encode, true);
                                ?>
                                <a target="_blank" href="<?php echo e($item['url']); ?>">
                                    <i class="<?php echo e($item['icon']); ?>"></i>
                                </a>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>

                    <?php echo $__env->make('components.home-edit.EditSectionList', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
            <div class="col-lg-1"></div>

            <div class="col-lg-2 text-center text-lg-start">
                <div>
                    <?php
                        $sections = getSection($appSections, 'Support');
                    ?>
                    <h6 class="fw-bold pb-3 pt-4"><?php echo e($sections->title); ?></h6>
                    <div class="<?php if($SA): ?> home-section-edit <?php endif; ?>">
                        <?php if($SA): ?>
                            <i style="font-size: 18px;" class="fa-solid fa-pen editIcon" data-bs-toggle="modal"
                                data-bs-target="#editSectionList<?php echo e($sections->id); ?>"></i>
                        <?php endif; ?>
                        <ul class="list-unstyled styled-list">
                            <?php $__currentLoopData = json_decode($sections->section_list); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $encode = json_encode($list);
                                    $item = json_decode($encode, true);
                                ?>
                                <li>
                                    <a class="text-disable text-decoration-none" href="<?php echo e($item['url']); ?>">
                                        <?php echo e($item['content']); ?>

                                    </a>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <?php echo $__env->make('components.home-edit.EditSectionList', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>

            <div class="col-lg-4 text-center text-lg-start">
                <div>
                    <?php
                        $sections = getSection($appSections, 'Address');
                    ?>
                    <h6 class="fw-bold pb-3 pt-4"><?php echo e($sections->title); ?></h6>
                    <div class="<?php if($SA): ?> home-section-edit <?php endif; ?>">
                        <?php if($SA): ?>
                            <i style="font-size: 18px;" class="fa-solid fa-pen editIcon" data-bs-toggle="modal"
                                data-bs-target="#editSectionList<?php echo e($sections->id); ?>"></i>
                        <?php endif; ?>
                        <ul class="list-unstyled styled-list">
                            <?php $__currentLoopData = json_decode($sections->section_list); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $list): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                $encode = json_encode($list);
                                $item = json_decode($encode, true);
                                ?>
                                <li class="text-disable"><?php echo e($item['content']); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <?php echo $__env->make('components.home-edit.EditSectionList', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
        </div>
    </div>

    <div class="border-top"></div>

    <div class="container py-4 px-2 text-center">
        <p><?php echo e($app->copyright); ?></p>
    </div>
</section>
<?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/home/Footer.blade.php ENDPATH**/ ?>