<div class="card p-4">
    <h5><?php echo e(__('SMTP Setup')); ?></h5>
    <small><?php echo e(__('For email send to user')); ?></small>

    <form 
        method="POST" 
        action="<?php echo e(route('settings.smtp')); ?>"
    >
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <div class="row mt-4">
            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('SMTP Host')); ?></label>
                <input 
                    required 
                    type="text" 
                    name="smtp_host"
                    value="<?php echo e($smtp->host); ?>"
                    placeholder="Your smtp host"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('SMTP Port')); ?></label>
                <input 
                    required 
                    type="text" 
                    name="smtp_port"
                    value="<?php echo e($smtp->port); ?>"
                    placeholder="Your smtp port"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('SMTP Username')); ?></label>
                <input 
                    required 
                    type="text" 
                    name="smtp_username"
                    value="<?php echo e($smtp->username); ?>"
                    placeholder="Your smtp username"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('SMTP Password')); ?></label>
                <input 
                    required 
                    type="password" 
                    name="smtp_password"
                    value="<?php echo e($smtp->password); ?>"
                    placeholder="Your smtp password"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('Sender Email Address')); ?></label>
                <input 
                    required 
                    type="text" 
                    name="mail_from_address"
                    value="<?php echo e($smtp->sender_email); ?>"
                    placeholder="Sender email address"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-4">
                <label class="form-label"><?php echo e(__('Sender Name')); ?></label>
                <input 
                    required 
                    type="text" 
                    name="mail_from_name"
                    value="<?php echo e($smtp->sender_name); ?>"
                    placeholder="Email seder name"
                    class="form-control px-2" 
                >
            </div>

            <div class="col-12 col-md-6 mb-3">
                <label class="form-label"><?php echo e(__('SMTP Encryption')); ?></label>
                <select name="smtp_encryption" class="form-control px-2">
                    <option 
                        value="tls" 
                        <?php if($smtp->encryption == 'tls'): ?> selected <?php endif; ?>
                    >
                        <?php echo e(__('TLS')); ?>

                    </option>
                    <option 
                        value="ssl" 
                        <?php if($smtp->encryption == 'ssl'): ?> selected <?php endif; ?>
                    >
                        <?php echo e(__('SSL')); ?>

                    </option>
                </select>
            </div>
        </div>
        
        <button 
            type="submit" 
            class="mt-3 px-3 btn btn-primary"
        >
            <?php echo e(__('Save Changes')); ?>

        </button>
    </form>
</div><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/settings/SetupSMTP.blade.php ENDPATH**/ ?>