<?php
    $SA = $user->hasRole('SUPER-ADMIN');

    function themeAccess($plan, $theme, $SA)
    {
        if ($SA) {
            return true;
        }
        if ($plan->themes == 'Free') {
            if ($theme->type == 'Free') {
                return true;
            } else {
                return false;
            }
        } else if ($plan->themes == 'Standard') {
            if ($theme->type == 'Free' || $theme->type == 'Standard') {
                return true;
            } else {
                return false;
            }
        } else if ($plan->themes == 'Premium') {
            return true;
        } else {
            return false;
        }
    }
?>


<div class="card p-4 mb-4 themes">
    <h4 class="mb-2"><?php echo e(__('Themes')); ?></h4>
    <div class="row">
        <?php $__currentLoopData = $themes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $theme): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-6 col-lg-4 p-3">
                <div 
                    style="<?php echo e($theme->bg_image ? "background-image: url('/{$theme->bg_image}');".$theme->background : $theme->background); ?>"
                    data-link="<?php echo e(json_encode($link)); ?>"
                    data-theme="<?php echo e(json_encode($theme)); ?>"
                    class="themeCard <?php echo e($link->theme_id == $theme->id ? 'active' : ''); ?> <?php echo e(themeAccess($plan, $theme, $SA) ? 'free' : 'pro'); ?>" 
                >
                    <?php for($i=0; $i<4 ; $i++): ?>
                        <div class="contentButton" style="<?php echo e($theme->button_style); ?>"></div>
                    <?php endfor; ?>

                    <div id="<?php echo e(themeAccess($plan, $theme, $SA) ? 'freeTheme' : 'proTheme'); ?>">
                        <span><?php echo e(themeAccess($plan, $theme, $SA) ? '' : $theme->type); ?></span>
                    </div>
                </div>
                <h6 class="text-center mt-2">
                    <?php echo e($theme->name); ?>

                </h6>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        <div class="col-6 col-lg-4 p-3">
            <div 
                onclick="createCustomTheme(<?php echo e($link); ?>)"
                class="themeCard <?php echo e($link->custom_theme_active ? 'active' : ''); ?> <?php echo e($SA || $plan->custom_theme ? 'free' : 'pro'); ?>" 
            >
                <span><?php echo e(__('Create Theme')); ?></span>

                <div id="<?php echo e($SA || $plan->custom_theme ? 'freeTheme' : 'proTheme'); ?>">
                    <span><?php echo e($SA || $plan->custom_theme ? '' : 'Not Access'); ?></span>
                </div>
            </div>
            <h6 class="text-center mt-2">
                <?php echo e(__('Create Theme')); ?>

            </h6>
        </div>

        <div class="col-6 col-lg-4 p-3">
            <div class="bioLinkLogoBox <?php echo e(!$SA && $plan->name == 'BASIC' ? 'pro' : 'free'); ?>">
                <img 
                    alt=""
                    id="bioLinkLogo" 
                    src="<?php echo e(asset($link->branding)); ?>" 
                >
                <label class="bioLinkLogoUploader" for="bioLinkLogoInput">
                    <i class="fa-solid fa-camera"></i>
                </label>
                <input hidden id="prevLogo" value="<?php echo e($link->branding); ?>" >
                <input 
                    hidden 
                    type="file" 
                    name="bioLinkLogo"
                    id="bioLinkLogoInput"
                    data-themeid="<?php echo e($link->id); ?>"
                >

                <div id="<?php echo e(!$SA && $plan->name == 'BASIC' ? 'proTheme' : 'freeTheme'); ?>">
                    <span><?php echo e(!$SA && $plan->name == 'BASIC' ? 'Standard/Premium' : ''); ?></span>
                </div>
            </div>
            <h6 class="text-center mt-2">
                <?php echo e(__('Manage Logo')); ?>

            </h6>
        </div>
    </div>
</div><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/link_items/LinkThems.blade.php ENDPATH**/ ?>