

<?php $__env->startSection('content'); ?>
    <div class="container">
        <?php if(session('success')): ?>
            <?php echo $__env->make('components.Toast', ['toastType' => 'success', 'message' => session('success')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>

        <div class="d-flex justify-content-between py-4">
            <h5 style="font-size: 22px"><?php echo e(__('Links')); ?></h5>
            <button 
                data-bs-toggle="modal" 
                class="btn btn-primary text-white px-4" 
                data-bs-target="#projectCreate"
            >
                <i class="fa-solid fa-circle-plus" style="font-size: 14px"></i>
                <?php echo e(__('Create Project')); ?>

            </button>

            <?php echo $__env->make('components.project.CreateProject', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <?php if(count($projects) > 0): ?>
            <div class="card overflow-auto">
                <table class="table table-borderless styled-table">
                    <thead>
                        <tr>
                            <th scope="col form-check">
                                <label class="form-check-label">
                                    <?php echo e(__('Project Name')); ?>

                                </label>
                            </th>
                            <th scope="col" class="text-center"><?php echo e(__('Project QRCode')); ?></th>
                            <th scope="col" class="text-center"><?php echo e(__('Publish Date')); ?></th>
                            <th scope="col" class="text-end"><?php echo e(__('Action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th scope="row" class="align-middle">
                                    <p class="m-0"><?php echo e($project->project_name); ?></p>
                                </th>
                                <td class="text-center align-middle">
                                    <?php if($project->qrcode_id): ?>
                                        <img width="40px" src="<?php echo e($project->qrcode->img_data); ?>" alt="...">
                                    <?php else: ?>
                                        <span><?php echo e(__('Empty')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td class="text-center align-middle">
                                    <span><?php echo e($project->created_at->format('d M, y')); ?></span>
                                </td>

                                <td class="align-middle d-flex justify-content-end">
                                    <button 
                                        class="btn link-control" 
                                        data-bs-toggle="modal" 
                                        data-bs-target="#updateProject"
                                    >
                                        <i class="fa-duotone fa-pen-circle"></i>
                                    </button>

                                    <button 
                                        class="btn link-control" 
                                        data-bs-toggle="modal"
                                        data-bs-target="#deleteItem<?php echo e($project->id); ?>"
                                    >
                                        <i class="fa-duotone fa-circle-trash text-danger"></i>
                                    </button>

                                    <?php echo $__env->make('components.DeletePopup', [
                                        'id' => $project->id, 
                                        'action' => "/dashboard/delete-project/".$project->id
                                    ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                                    <?php echo $__env->make('components.project.EditProject', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div class="mt-3 d-flex justify-content-center">
                    <?php echo e($projects->links()); ?>

                </div>
            </div>
        <?php else: ?>
            <div class="card py-4 px-3 shadow-sm border-0 text-center">
                <h5><?php echo e(__('No have any project')); ?></h5>
            </div>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/pages/admin/projects.blade.php ENDPATH**/ ?>