<?php
    $user = auth()->user();
    $SA = $user && $user->hasRole('SUPER-ADMIN');
?>

<div class="container py-5 pricing">
    <div class="text-center py-4">
        <h1 class="fw-bold" style="font-size: 36px"><?php echo e(__('Pricing Plans')); ?></h1>
        <p><?php echo e(__('Choose and get exactly what you need.')); ?></p>
    </div>
    
    <ul class="nav nav-pills mb-3 d-flex justify-content-center" id="pills-tab" role="tablist">
        <li class="nav-item" role="presentation">
            <button 
                role="tab" 
                type="button" 
                id="pills-home-tab" 
                aria-selected="true"
                data-bs-toggle="pill" 
                data-bs-target="#pills-home" 
                aria-controls="pills-home" 
                class="nav-link active" 
            >
                Monthly
            </button>
        </li>
        <li class="nav-item" role="presentation">
            <button 
                role="tab" 
                type="button" 
                class="nav-link" 
                id="pills-profile-tab" 
                data-bs-toggle="pill" 
                data-bs-target="#pills-profile" 
                aria-controls="pills-profile" 
                aria-selected="false"
            >
                Yearly
            </button>
        </li>
    </ul>
    <div class="tab-content" id="pills-tabContent">
        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
            <div class="row">
                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-4 p-3">
                    <div class="card">
                        <div class="p-4">
                            <span class="rounded-pill <?php echo e($plan->name); ?>">
                                <?php echo e($plan->name); ?>

                            </span>
        
                            <?php if($plan->name == 'BASIC'): ?>
                                <h1 class="fw-bold pt-3 pb-2" style="font-size: 36px"><?php echo e(__('Free')); ?></h1>
                            <?php else: ?>
                                <h1 class="fw-bold pt-3 pb-2" style="font-size: 36px">
                                    <?php echo e($plan->monthly_price); ?>

                                    <span class="fw-normal" style="font-size: 14px">
                                        <?php echo e($plan->currency); ?> /monthly
                                    </span>
                                </h1>
                            <?php endif; ?>
                            
                            <p style="font-size: 14px"><?php echo e($plan->description); ?></p>
                        </div> 
        
                        <div class="border-top"></div>
        
                        <div class="p-4 styled-pricing-list">
                            <h6 class="fw-bolder pb-2"><?php echo e(__('Include')); ?></h6>
                            <ul class="list-unstyled">
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->biolinks); ?> Biolinks Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->biolink_blocks); ?> Biolink Blocks Access
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->shortlinks); ?> Shortlinks Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->projects); ?> Projects Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->qrcodes); ?> QRCodes Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->themes); ?> Theme Access
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->custom_theme ? 'Custom Theme Create Allow' : 'Custom Theme Create Not Allow'); ?>

                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->support); ?> Hours Support
                                </li>
                            </ul>
        
                            <?php if($plan->name == 'BASIC'): ?>
                                <?php echo $__env->make('components.common.FreePlanSelectWarning', ['type'=>'monthlyPlan'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            <?php else: ?>
                                <a 
                                    class="form-control type-button btn btn-primary text-white" 
                                    href="<?php echo e(route('billing', ['id'=>$plan->id, 'type'=>'monthly'])); ?>"
                                >
                                    <?php echo e(__('Select Plan')); ?>

                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>

        <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab" tabindex="0">
            <div class="row">
                <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-4 p-3">
                    <div class="card">
                        <div class="p-4">
                            <span class="rounded-pill <?php echo e($plan->name); ?>">
                                <?php echo e($plan->name); ?>

                            </span>
        
                            <?php if($plan->name == 'BASIC'): ?>
                                <h1 class="fw-bold pt-3 pb-2" style="font-size: 36px"><?php echo e(__('Free')); ?></h1>
                            <?php else: ?>
                                <h1 class="fw-bold pt-3 pb-2" style="font-size: 36px">
                                    <?php echo e($plan->yearly_price); ?>

                                    <span class="fw-normal" style="font-size: 14px">
                                        <?php echo e($plan->currency); ?> /yearly
                                    </span>
                                </h1>
                            <?php endif; ?>
                            
                            <p style="font-size: 14px"><?php echo e($plan->description); ?></p>
                        </div> 
        
                        <div class="border-top"></div>
        
                        <div class="p-4 styled-pricing-list">
                            <h6 class="fw-bolder pb-2"><?php echo e(__('Include')); ?></h6>
                            <ul class="list-unstyled">
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->biolinks); ?> Biolinks Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->biolink_blocks); ?> Biolink Blocks Access
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->shortlinks); ?> Shortlinks Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->projects); ?> Projects Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->qrcodes); ?> QRCodes Create
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->themes); ?> Theme Access
                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->custom_theme ? 'Custom Theme Create Allow' : 'Custom Theme Create Not Allow'); ?>

                                </li>
                                <li>
                                    <i class="fa-solid fa-badge-check"></i>
                                    <?php echo e($plan->support); ?> Hours Support
                                </li>
                            </ul>
        
                            <?php if($plan->name == 'BASIC'): ?>
                                <?php echo $__env->make('components.common.FreePlanSelectWarning', ['type'=>'yearlyPlan'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>   
                            <?php else: ?>
                                <a 
                                    class="form-control type-button btn btn-primary text-white" 
                                    href="<?php echo e(route('billing', ['id'=>$plan->id, 'type'=>'yearly'])); ?>"
                                >
                                    <?php echo e(__('Select Plan')); ?>

                                </a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/home/Pricing.blade.php ENDPATH**/ ?>