<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e($app->title); ?> - <?php echo e(__('Your Link Management in one place')); ?></title>

    <!-- Scripts -->
    <script src="<?php echo e(asset('js/toastify.js')); ?>"></script>
    <script src="<?php echo e(asset('js/app.js')); ?>" defer></script>
    <script src="<?php echo e(asset('splide/splide.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/qr-code-styling.js')); ?>"></script>
    <script src="<?php echo e(asset('/js/apexcharts.js')); ?>"></script>
    <script src="<?php echo e(asset('js/axios.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/fontawesome.js')); ?>" ></script>
    <script src="<?php echo e(asset('js/simplebar.min.js')); ?>"></script>

    <!-- Fonts -->
    <link rel="stylesheet" href="<?php echo e(asset('css/font.css')); ?>">
 
    
    <link rel="stylesheet" href="<?php echo e(asset('css/simplebar.css')); ?>" />

    <!-- Styles -->
    <link rel="stylesheet" href="<?php echo e(asset('css/toastify.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('splide/splide.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/drag&drop.css')); ?>">
</head>

<body>
    <div id="preloader">
        <div id="loader"></div>
    </div>
    <div class="dashboard">
        <div class="dashboard-sidebar d-none d-lg-block">
            <?php echo $__env->make('layouts.dashboard.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <div class="dashboard-sidebar dashboard-sidebar-mobile d-block d-lg-none" id="mobileSidebar">
            <?php echo $__env->make('layouts.dashboard.mobile_sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <div class="dashboard-content">
            <?php echo $__env->make('layouts.dashboard.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <main class="content-area d-flex flex-column justify-content-between">
                <div>
                    <?php if(session('error')): ?>
                    <?php echo $__env->make('components.Toast', ['toastType' => 'error', 'message' => session('error')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endif; ?>
                    <?php if(session('success')): ?>
                        <?php echo $__env->make('components.Toast', ['toastType' => 'success', 'message' => session('success')], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endif; ?>
                    <div class="container">
                        <?php echo $__env->make('components.common.PaymentWarning', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    </div>

                    <?php echo $__env->yieldContent('content'); ?>
                </div>

                <div class="container pt-4 px-2 text-center">
                    <p style="font-size: 12px;"><?php echo e($app->copyright); ?></p>
                </div>
            </main>
        </div>
    </div>


    <script src="<?php echo e(asset('js/utils.js')); ?>"></script>
    <script src="<?php echo e(asset('js/link-setting.js')); ?>"></script>
    <script src="<?php echo e(asset('js/qrcode-custom.js')); ?>"></script>
    <script src="<?php echo e(asset('js/link-items-add.js')); ?>"></script>
    <script src="<?php echo e(asset('js/payment.js')); ?>"></script>
    <script src="<?php echo e(asset('js/dashboardscript.js')); ?>"></script>
    <script src="<?php echo e(asset('js/account.js')); ?>"></script>

    <script>
        Array.prototype.forEach.call(
            document.querySelectorAll('.scrollbar'),
            el => new SimpleBar(el)
        );

        const logOutButtons = document.querySelectorAll(".logout-button");
        if (logOutButtons && logOutButtons.length > 0) {
            logOutButtons.forEach((item) => {
                item.addEventListener("click", (e) => {
                    e.preventDefault(); 
                    document.querySelector('.logout-form').submit();
                });
            });
        }

    </script>
</body>

</html>
<?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/layouts/dashboard/dashboard.blade.php ENDPATH**/ ?>