<?php
    $iconClass = 'input-group-text bg-white pe-0 border';
?>

<div class="modal fade" id="editShortLink<?php echo e($link->id); ?>">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header border-0">
                <h5 class="modal-title"><?php echo e(__('Create New Link')); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            
            <div class="modal-body">
                <form action="/dashboard/update-link/<?php echo e($link->id); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    
                    <input hidden name="link_type" value="shortlink">

                    <div class="mb-3 text-start">
                        <label class="form-label"><?php echo e(__('Link Name')); ?></label>

                        <input 
                            required 
                            name="link_name"
                            placeholder="Link Name"
                            value="<?php echo e($link->link_name); ?>"
                            class="form-control px-2"
                        >
                    </div>

                    <div class="mb-3 text-start">
                        <label class="form-label"><?php echo e(__('External Url')); ?></label>
                        <div class="input-group mb-4">
                            <input 
                                required 
                                name="external_url"
                                placeholder="https://example.com/..." 
                                value="<?php echo e($link->external_url); ?>"
                                class="form-control"
                            >
                        </div>
                    </div>

                    <button type="submit" class="mt-3 form-control btn btn-primary text-white">
                        <?php echo e(__('Create')); ?>

                    </button>
                </form>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/links/EditShortLink.blade.php ENDPATH**/ ?>