

<?php $__env->startSection('content'); ?>
   <div class="container mt-3 mb-4">
      <h4 class="mb-5" style="font-size: 24px"><?php echo e(__('Create New Pricing Plan')); ?></h4>
      
      <div class="row">
         <div class="col-lg-10 mx-auto">
            <form 
                class="card p-4" 
                method="POST" 
                action="<?php echo e(route('plan.update', $plan->id)); ?>"
            >
               <?php echo csrf_field(); ?>
               <?php echo method_field('PUT'); ?>

               <div class="row">
                  <h5 class="mb-4"><?php echo e(__('Pyement Info')); ?></h5>
                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Plan Name')); ?></label>
                     <select 
                        required
                        name="name" 
                        class="form-control px-2"
                     >
                        <option value="BASIC" <?php if($plan->name == 'BASIC'): ?> selected <?php endif; ?>>
                            <?php echo e(__('BASIC')); ?>

                        </option>
                        <option value="STANDARD" <?php if($plan->name == 'STANDARD'): ?> selected <?php endif; ?>>
                            <?php echo e(__('STANDARD')); ?>

                        </option>
                        <option value="PREMIUM" <?php if($plan->name == 'PREMIUM'): ?> selected <?php endif; ?>>
                            <?php echo e(__('PREMIUM')); ?>

                        </option>
                     </select>
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Description')); ?></label>
                     <input 
                        required 
                        name="description"
                        value="<?php echo e($plan->description); ?>"
                        placeholder="Lenght will be 1 to 60 characters"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Monthly Price')); ?></label>
                     <input 
                        required
                        type="number" 
                        name="monthly_price"
                        value="<?php echo e($plan->monthly_price); ?>"
                        placeholder="Monthly plan price"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Yearly Price')); ?></label>
                     <input 
                        required
                        type="number" 
                        name="yearly_price"
                        value="<?php echo e($plan->yearly_price); ?>"
                        placeholder="Yearly plan price"
                        class="form-control px-2" 
                     >
                  </div>
   
                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Currency')); ?></label>
                     <select 
                        required 
                        id="currency" 
                        name="currency" 
                        data-default="<?php echo e($plan->currency); ?>"
                        class="form-control px-2" 
                     ></select>

                     <script src="<?php echo e(asset('js/currencies.js')); ?>"></script>
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Plan Status')); ?></label>
                     <select 
                        required
                        name="status" 
                        class="form-control px-2"
                     >
                        <option value="active" <?php if($plan->status == 'active'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Active')); ?>

                        </option>
                        <option value="deactive" <?php if($plan->status == 'deactive'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Deactive')); ?>

                        </option>
                     </select>
                  </div>

                  
                  <h5 class="my-4"><?php echo e(__('Features Info')); ?></h5>
                  <div class="col-12 col-md-6 mb-3">
                     <div class="d-flex align-items-center justify-content-between mb-2">
                        <label class="form-label mb-0"><?php echo e(__('Biolink Create')); ?></label>
                        <div class="form-check reverse">
                           <input 
                              id="biolink"
                              type="checkbox" 
                              class="form-check-input" 
                              <?php if($plan->biolinks == 'Unlimited'): ?> checked <?php endif; ?>
                           >
                           <label class="form-check-label" for="biolink">
                              <?php echo e(__('Unlimited')); ?>

                           </label>
                        </div>
                     </div>
                     <input 
                        required
                        id="biolinks"
                        type="number" 
                        name="biolinks"
                        value="<?php echo e($plan->biolinks); ?>"
                        placeholder="How many biolinks can create"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Biolink Blocks Access')); ?></label>
                     <select 
                        required
                        name="biolink_blocks" 
                        class="form-control px-2"
                     >
                        <option value="0" <?php if($plan->biolink_blocks == '0'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Not')); ?>

                        </option>
                        <option value="1" <?php if($plan->biolink_blocks == '1'): ?> selected <?php endif; ?>>
                            <?php echo e(__('1')); ?>

                        </option>
                        <option value="2" <?php if($plan->biolink_blocks == '2'): ?> selected <?php endif; ?>>
                            <?php echo e(__('2')); ?>

                        </option>
                        <option value="3" <?php if($plan->biolink_blocks == '3'): ?> selected <?php endif; ?>>
                            <?php echo e(__('3')); ?>

                        </option>
                        <option value="4" <?php if($plan->biolink_blocks == '4'): ?> selected <?php endif; ?>>
                            <?php echo e(__('4')); ?>

                        </option>
                        <option value="5" <?php if($plan->biolink_blocks == '5'): ?> selected <?php endif; ?>>
                            <?php echo e(__('5')); ?>

                        </option>
                        <option value="6" <?php if($plan->biolink_blocks == '6'): ?> selected <?php endif; ?>>
                            <?php echo e(__('6')); ?>

                        </option>
                        <option value="7" <?php if($plan->biolink_blocks == '7'): ?> selected <?php endif; ?>>
                            <?php echo e(__('7')); ?>

                        </option>
                        <option value="8" <?php if($plan->biolink_blocks == '8'): ?> selected <?php endif; ?>>
                            <?php echo e(__('8')); ?>

                        </option>
                        <option value="9" <?php if($plan->biolink_blocks == '9'): ?> selected <?php endif; ?>>
                            <?php echo e(__('All')); ?>

                        </option>
                     </select>
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <div class="d-flex align-items-center justify-content-between mb-2">
                        <label class="form-label mb-0"><?php echo e(__('Shortlink Create')); ?></label>
                        <div class="form-check reverse">
                           <input 
                              id="shortlink"
                              type="checkbox" 
                              class="form-check-input" 
                              <?php if($plan->shortlinks == 'Unlimited'): ?> checked <?php endif; ?>
                           >
                           <label class="form-check-label" for="shortlink">
                              <?php echo e(__('Unlimited')); ?>

                           </label>
                        </div>
                     </div>
                     <input 
                        required
                        id="shortlinks"
                        type="number" 
                        name="shortlinks"
                        value="<?php echo e($plan->shortlinks); ?>"
                        placeholder="How many shortlinks can create"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <div class="d-flex align-items-center justify-content-between mb-2">
                        <label class="form-label mb-0"><?php echo e(__('Project Create')); ?></label>
                        <div class="form-check reverse">
                           <input 
                              id="project"
                              type="checkbox" 
                              class="form-check-input" 
                              <?php if($plan->projects == 'Unlimited'): ?> checked <?php endif; ?>
                           >
                           <label class="form-check-label" for="project">
                              <?php echo e(__('Unlimited')); ?>

                           </label>
                        </div>
                     </div>
                     <input 
                        required
                        id="projects"
                        type="number" 
                        name="projects"
                        value="<?php echo e($plan->projects); ?>"
                        placeholder="How many projects can create"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <div class="d-flex align-items-center justify-content-between mb-2">
                        <label class="form-label mb-0"><?php echo e(__('QR Code Create')); ?></label>
                        <div class="form-check reverse">
                           <input 
                              id="qrcode"
                              type="checkbox" 
                              class="form-check-input" 
                              <?php if($plan->qrcodes == 'Unlimited'): ?> checked <?php endif; ?>
                           >
                           <label class="form-check-label" for="qrcode">
                              <?php echo e(__('Unlimited')); ?>

                           </label>
                        </div>
                     </div>
                     <input 
                        required
                        id="qrcodes"
                        type="number" 
                        name="qrcodes"
                        value="<?php echo e($plan->qrcodes); ?>"
                        placeholder="How many qrcodes can create"
                        class="form-control px-2" 
                     >
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Theme Access')); ?></label>
                     <select 
                        required
                        name="themes" 
                        class="form-control px-2"
                     >
                        <option value="Free" <?php if($plan->themes == 'Free'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Free Only')); ?>

                        </option>
                        <option value="Standard" <?php if($plan->themes == 'Standard'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Standard (Free Themes Included)')); ?>

                        </option>
                        <option value="Premium" <?php if($plan->themes == 'Premium'): ?> selected <?php endif; ?>>
                            <?php echo e(__('Premium (All Themes Included)')); ?>

                        </option>
                     </select>
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Custom Theme Create Access')); ?></label>
                     <select 
                        required
                        name="custom_theme" 
                        class="form-control px-2"
                     >
                        <option value="1" <?php if($plan->custom_theme == '1'): ?> selected <?php endif; ?>>
                            <?php echo e(__('True')); ?>

                        </option>
                        <option value="0" <?php if($plan->custom_theme == '0'): ?> selected <?php endif; ?>>
                            <?php echo e(__('False')); ?>

                        </option>
                     </select>
                  </div>

                  <div class="col-12 col-md-6 mb-3">
                     <label class="form-label"><?php echo e(__('Support Response Hours')); ?></label>
                     <select 
                        required
                        name="support" 
                        class="form-control px-2"
                     >
                        <option value="24" <?php if($plan->support == '24'): ?> selected <?php endif; ?>>
                            <?php echo e(__('24')); ?>

                        </option>
                        <option value="48" <?php if($plan->support == '48'): ?> selected <?php endif; ?>>
                            <?php echo e(__('48')); ?>

                        </option>
                        <option value="72" <?php if($plan->support == '72'): ?> selected <?php endif; ?>>
                            <?php echo e(__('72')); ?>

                        </option>
                     </select>
                  </div>
               </div>

               <button 
                  type="submit" 
                  style="max-width: 180px"
                  class="mt-3 btn btn-primary"
               >
                  <?php echo e(__('Update Plan')); ?>

               </button>
            </form>
         </div>
      </div>
   </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.dashboard.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/pages/admin/plan/update.blade.php ENDPATH**/ ?>