<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    
    <script src="<?php echo e(asset('js/fontawesome.js')); ?>" ></script>

    <!-- Fonts -->
    <link rel="stylesheet" href="<?php echo e(asset('css/font.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/custom.css')); ?>">

    <title><?php echo e($link->link_name); ?></title>
</head>

<?php
$customActive = $link->custom_theme_active;

$buttonStyle = '';
$backgroundStyle = '';
$themeTextColor = '';
$fontFamily = '';

if ($customActive) {
    $buttonStyle = "
            background: {$link->custom_theme->btn_bg_color};
            border-radius: {$link->custom_theme->btn_radius};
        ";
    $backgroundStyle = $link->custom_theme->background;
    $themeTextColor = $link->custom_theme->text_color;
    $fontFamily = $link->custom_theme->font_family;
} else {
    $buttonStyle = $link->theme->button_style;
    // $backgroundStyle = $link->theme->background;
    $backgroundStyle = $link->theme->bg_image ? "background-image: url('/{$link->theme->bg_image}');".$link->theme->background : $link->theme->background;
    $themeTextColor = $link->theme->text_color;
    $fontFamily = $link->theme->font_family;
}
?>

<style>
    #bioLink .textContent {
        color: <?php echo e($themeTextColor); ?>;
    }
</style>

<body style="font-family: <?php echo e($fontFamily); ?> !important">
    <div id="bioLink" class="viewBioLink"
        style="
            min-height: 100vh;
            background-attachment: fixed;
            <?php echo e($backgroundStyle); ?>;
        ">
        <div class="container">
            <div class="row mx-auto py-3">
                <div class="col-lg-7 mx-auto">
                    <div class="linkProfile">
                        <img 
                        alt="" id="linkProfileImg"
                        src="<?php echo e($link->thumbnail ? asset($link->thumbnail) : asset('assets/user-profile.png')); ?>"
                        >
                        <h5 class="mt-2 textContent"><?php echo e($link->link_name); ?></h5>
                        <p class="py-2 textContent"><?php echo e($link->short_bio); ?></p>
                        <div class="d-flex justify-content-center" style="flex-wrap: wrap">
                            <?php if($link->socials): ?>
                                <?php
                                $socials = json_decode($link->socials);
                                ?>
                                <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php
                                    $encode = json_encode($item);
                                    $Item = json_decode($encode, true);
                                    ?>
                                    <?php if($Item['name'] == 'email'): ?>
                                        <a class="mx-2 fs-4" _target="_blank" href="mailto:<?php echo e($Item['link']); ?>">
                                            <i style="color: #1d2939" class="<?php echo e($Item['icon']); ?>"></i>
                                        </a>
                                    <?php elseif($Item['name'] == 'telephone'): ?>
                                        <a href="tel:<?php echo e($Item['link']); ?>" class="mx-2 fs-4">
                                            <i style="color: #1d2939" class="<?php echo e($Item['icon']); ?>"></i>
                                        </a>
                                    <?php elseif($Item['name'] == 'whatsapp'): ?>
                                        <a href="https://api.whatsapp.com/send?phone=<?php echo e($Item['link']); ?>"
                                            target="_blank" class="mx-2 fs-4">
                                            <i style="color: #1d2939" class="<?php echo e($Item['icon']); ?>"></i>
                                        </a>
                                    <?php else: ?>
                                        <?php
                                        $linkUrl = explode('//', $Item['link'])[0];
                                        $validlLink;
                                        if ($linkUrl == 'https:' || $linkUrl == 'http:') {
                                            $validlLink = $Item['link'];
                                        } else {
                                            $validlLink = 'https://' . $linkUrl;
                                        }
                                        ?>
                                        <a class="mx-2 fs-4" target="_blank" href="<?php echo e($validlLink); ?>">
                                            <i style="color: #1d2939" class="<?php echo e($Item['icon']); ?>"></i>
                                        </a>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div>
                        <?php $__currentLoopData = $link->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="text-center mb-3">
                                <?php
                                $type = $item->item_type;
                                $sub_type = $item->item_sub_type;
                                ?>

                                <?php if($type == 'Image' || $type == 'Embed Link'): ?>
                                    <div id="mobileViewLinkItem" class="mobileViewLinkItem"
                                        style="<?php echo e($buttonStyle); ?>">
                                        <div role="button" id="embedButton" aria-expanded="false"
                                            href="#embedLInkItem<?php echo e($item->id); ?>" data-bs-toggle="collapse"
                                            onclick="embedButton(<?php echo e($item->id); ?>)">
                                            <i class="textContent itemIcon <?php echo e($item->item_icon); ?>"></i>
                                            <h6 class="textContent">
                                                <?php echo e($item->item_title); ?>

                                            </h6>

                                            <i id="rightArrow<?php echo e($item->id); ?>"
                                                class="textContent rightArrow fa-solid fa-angle-right"></i>
                                        </div>

                                        <div class="collapse" id="embedLInkItem<?php echo e($item->id); ?>">
                                            <div class="pt-0" style="padding: 14px; background: transparent;">
                                                <div class="card border-0" style="overflow: hidden;">
                                                    <?php if($sub_type == 'TikTok'): ?>
                                                        <?php
                                                        $str_arr = explode('/', $item->item_content);
                                                        $videoId = array_pop($str_arr);
                                                        ?>
                                                        <blockquote class="tiktok-embed"
                                                            cite="<?php echo e($item->item_content); ?>"
                                                            data-video-id="<?php echo e($videoId); ?>"
                                                            style="width: 100%; height: auto;">
                                                            <script async src="https://www.tiktok.com/embed.js"></script>
                                                        </blockquote>
                                                    <?php elseif($sub_type == 'Image'): ?>
                                                        <img width="100%" src="<?php echo e(asset($item->content)); ?>"
                                                            alt="">
                                                    <?php else: ?>
                                                        <iframe width="100%" height="400" frameborder="0"
                                                            allowfullscreen src="<?php echo e($item->item_link); ?>"></iframe>
                                                    <?php endif; ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php elseif($type == 'Text Content'): ?>
                                    <?php if($item->item_sub_type == 'paragraph'): ?>
                                        <div id="mobileViewLinkItem" class="mobileViewLinkItem"
                                            style="<?php echo e($buttonStyle); ?>">
                                            <div role="button" id="embedButton" aria-expanded="false"
                                                data-bs-toggle="collapse" href="#embedLInkItem<?php echo e($item->id); ?>"
                                                onclick="embedButton(<?php echo e($item->id); ?>)">
                                                <i class="textContent itemIcon <?php echo e($item->item_icon); ?>"></i>
                                                <h6 class="textContent">
                                                    <?php echo e($item->item_title); ?>

                                                </h6>
                                                <i id="rightArrow<?php echo e($item->id); ?>"
                                                    class="textContent rightArrow fa-solid fa-angle-right"></i>
                                            </div>

                                            <div class="collapse" id="embedLInkItem<?php echo e($item->id); ?>">
                                                <div class="pt-0" style="padding: 14px; background: transparent;">
                                                    <div class="card border-0" style="overflow: hidden;">
                                                        <p><?php echo e($item->content); ?></p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    <?php else: ?>
                                        <<?php echo e($item->item_sub_type); ?> class="textContent">
                                            <?php echo e($item->item_title); ?>

                                            </<?php echo e($item->item_sub_type); ?>>
                                    <?php endif; ?>
                                <?php elseif($type == 'Link'): ?>
                                    <div id="mobileViewLinkItem" class="mobileViewLinkItem">
                                        <div style="padding: 14px; <?php echo e($buttonStyle); ?>">
                                            <a target="_blank"
                                                class="d-flex justify-content-between align-items-center text-decoration-none"
                                                href="<?php echo e($item->item_link); ?>">
                                                <i class="itemIcon textContent <?php echo e($item->item_icon); ?>"></i>
                                                <h6 class="textContent">
                                                    <?php echo e($item->item_title); ?>

                                                </h6>
                                                <div style="width: 24px"></div>
                                            </a>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>

        <div>
            <img width="40px" style="border-radius: 6px" src="<?php echo e(asset($link->branding)); ?>" alt="">
        </div>
    </div>

    <script>
        function embedButton(id) {
            let rightArrow = document.getElementById(`rightArrow${id}`).classList;
            if (rightArrow.contains("active")) {
                rightArrow.add("inactive");
                rightArrow.remove("active");
            } else {
                rightArrow.add("active");
                rightArrow.remove("inactive");
            }
        }
    </script>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
    </script>
</body>

</html>
<?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/pages/biolink.blade.php ENDPATH**/ ?>