

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="d-flex justify-content-between py-4">
            <h5 style="font-size: 22px"><?php echo e(__('QR Code List')); ?></h5>
            <button 
                data-bs-toggle="modal" 
                class="btn btn-primary px-4" 
                data-bs-target="<?php echo e($limit_over ? '#limitWarning' : ''); ?>"
            >
                <a 
                    class="w-100 h-100 text-white text-decoration-none" 
                    href="<?php echo e($limit_over ? '#' : '/dashboard/create-qrcode'); ?>"
                >
                    <i class="fa-solid fa-circle-plus" style="font-size: 14px" ></i>
                    <?php echo e(__('Create QR Code')); ?>

                </a>
            </button>

            <?php echo $__env->make('components.common.LimitWarning', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>

        <?php if($limit_over): ?>
            <?php echo $__env->make('components.common.WarningAlert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>

        <?php if(count($qrcodes) > 0): ?>
            <div class="card overflow-auto">
                <table class="table table-borderless styled-table">
                    <thead>
                        <tr>
                            <th scope="col form-check">
                                <label class="form-check-label">
                                    <?php echo e(__('QR Code')); ?>

                                </label>
                            </th>
                            <th scope="col" class="text-center"><?php echo e(__('Project Name')); ?></th>
                            <th scope="col" class="text-center"><?php echo e(__('Link Name')); ?></th>
                            <th scope="col" class="text-center"><?php echo e(__('Publish Date')); ?></th>
                            <th scope="col" class="text-end"><?php echo e(__('Action')); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $qrcodes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $qrcode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th scope="row" class="align-middler">
                                    <img width="40px" src="<?php echo e($qrcode->img_data); ?>" alt="...">
                                </th>
                                <td class="text-center align-middle">
                                    <?php if($qrcode->project_id): ?>
                                        <span><?php echo e($qrcode->project->project_name); ?></span>
                                    <?php else: ?>
                                        <span><?php echo e(__('Empty')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td class="text-center align-middle">
                                    <?php if($qrcode->link_id): ?>
                                        <?php if($qrcode->link->link_type == 'biolink'): ?>
                                            <span><?php echo e($qrcode->link->link_name); ?></span>
                                        <?php else: ?>
                                            <span><?php echo e(__('Shorten Link')); ?></span>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <span><?php echo e(__('Empty')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td class="text-center align-middle">
                                    <span><?php echo e($qrcode->created_at->format('d M, y')); ?></span>
                                </td>

                                <td class="align-middle d-flex align-items-center justify-content-end">
                                    <div class="dropdown me-2" style="max-width: 100px;">
                                        <button 
                                            class="btn btn-sm py-0" 
                                            style="font-size: 20px;"
                                            data-bs-toggle="dropdown" 
                                        >
                                            <i class="fa-solid fa-down-to-line" style="font-size: 18px;"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-end">
                                            <li onclick="qrcodeDownload('<?php echo e($qrcode->img_data); ?>', 'jpeg')">
                                                <span class="dropdown-item"><?php echo e(__('JPG')); ?></span>
                                            </li>
                                            <li onclick="qrcodeDownload('<?php echo e($qrcode->img_data); ?>', 'svg')">
                                                <span class="dropdown-item"><?php echo e(__('SVG')); ?></span>
                                            </li>
                                            <li onclick="qrcodeDownload('<?php echo e($qrcode->img_data); ?>', 'png')">
                                                <span class="dropdown-item"><?php echo e(__('PNG')); ?></span>
                                            </li>
                                        </ul>        
                                    </div>

                                    <button 
                                        class="btn link-control" 
                                        data-bs-toggle="modal"
                                        data-bs-target="#deleteItem<?php echo e($qrcode->id); ?>"
                                    >
                                        <i class="fa-duotone fa-circle-trash text-danger"></i>
                                    </button>

                                    <?php echo $__env->make('components.DeletePopup', [
                                        'id' => $qrcode->id, 
                                        'action' => "/dashboard/delete-qrcode/".$qrcode->id
                                    ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div class="mt-3 d-flex justify-content-center">
                    <?php echo e($qrcodes->links()); ?>

                </div>
            </div>
        <?php else: ?>
            <div class="card py-4 px-3 shadow-sm border-0 text-center">
                <h5><?php echo e(__('No have any QR Codes')); ?></h5>
            </div>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard.dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/pages/qrcodes.blade.php ENDPATH**/ ?>