<div class="card p-4">
    <form 
        method="POST" 
        action="<?php echo e(route('settings.razorpay')); ?>"
    >
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <div class="d-flex align-items-center justify-content-between pb-4">
            <h5><?php echo e(__('Razorpay Setup')); ?></h5>

            <div class="form-check form-switch">
                <label class="form-check-label pe-5">Allow Razorpay Payment</label>
                <input 
                    role="switch" 
                    type="checkbox" 
                    name="allow_razorpay"
                    class="form-check-input" 
                    <?php if($razorpay->active): ?> checked <?php endif; ?> 
                >
            </div>
        </div>

        <div class="row mt-2">
            <div class="col-12 col-md-6 mb-3">
                <label class="form-label"><?php echo e(__('Razorpay Key')); ?></label>
                <input 
                    required 
                    type="password" 
                    name="razorpay_key"
                    value="<?php echo e($razorpay->key); ?>"
                    placeholder="Razorpay key paste here"
                    class="form-control px-2" 
                >
            </div>
    
            <div class="col-12 col-md-6 mb-3">
                <label class="form-label"><?php echo e(__('Razorpay Secret')); ?></label>
                <input 
                    required 
                    type="password" 
                    value="<?php echo e($razorpay->secret); ?>"
                    name="razorpay_secret"
                    placeholder="Razorpay secret key paste here"
                    class="form-control px-2" 
                >
            </div>
        </div>
        
        <button 
            type="submit" 
            class="mt-3 px-3 btn btn-primary"
        >
            <?php echo e(__('Save Changes')); ?>

        </button>
    </form>
</div><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/components/settings/SetupRazorpay.blade.php ENDPATH**/ ?>