
<style>
  .nav_fixed {
    transition: all 0.3s;
  }

  .nav_static {
    background: #fff;
    box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.1);
    transition: all 0.3s;
  }
</style>

<?php
    $user = auth()->user();
    $SA = $user ? $user->hasRole('SUPER-ADMIN') : false;
    $editHome = request()->edithome;
?>

<nav id="app-navbar" class="navbar navbar-expand-lg navbar-light fixed-top nav_fixed">
  <div class="container py-1">
    <div class="d-flex align-items-center">
      <img width="36px" height="36px" class="rounded" src="<?php echo e(asset($app->logo)); ?>" alt="">
      <h5 class="ms-3 fw-bold">
        <a class="navbar-brand" href="/"><?php echo e($app->title); ?></a>
      </h5>
   </div>
    <button id="mobile-menu" class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
      <!-- Center Of Navbar -->
      <ul class="navbar-nav w-100 d-flex justify-content-center">
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('home-header')">
          <a class="nav-link" href="#home"><?php echo e(__('Home')); ?></a>
        </li>
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('create-link')">
          <a class="nav-link" href="#create-link"><?php echo e(__('Link')); ?></a>
        </li>
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('create-block')">
          <a class="nav-link" href="#create-link"><?php echo e(__('Block')); ?></a>
        </li>
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('create-qr-code')">
          <a class="nav-link" href="#create-project"><?php echo e(__('QR Code')); ?></a>
        </li>
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('pricing')">
          <a class="nav-link" href="#pricing"><?php echo e(__('Pricing')); ?></a>
        </li>
        <li class="nav-item text-center pe-lg-3" onclick="scrollFunction('testimonials')">
          <a class="nav-link" data-scroll href="#testimonials"><?php echo e(__('Testimonials')); ?></a>
        </li>
      </ul>

      <!-- Right Side Of Navbar -->
      <ul class="navbar-nav ms-auto">
          <!-- Authentication Links -->
          <?php if(auth()->guard()->guest()): ?>
            <?php if(Route::has('login')): ?>
              <li class="nav-item text-center">
                  <a class="nav-link" href="<?php echo e(route('login')); ?>">
                    <button class="btn btn-light"><?php echo e(__('Login')); ?></button>
                  </a>
              </li>
            <?php endif; ?>

            <?php if(Route::has('register')): ?>
              <li class="nav-item text-center">
                  <a class="nav-link" href="<?php echo e(route('register')); ?>">
                    <button class="btn btn-primary text-white" style="width: 150px">
                      <?php echo e(__('Sign up for free')); ?>

                    </button>
                  </a>
              </li>
            <?php endif; ?>
          <?php else: ?>
            <?php if($SA): ?>
              <li class="nav-item text-center">
                <a class="nav-link" href="<?php echo e($editHome ? '/' : '/?edithome=true'); ?>">
                  <?php echo e($editHome ? 'Back' : 'Customize'); ?>

                </a>
              </li>
            <?php endif; ?>
            <li class="nav-item text-center">
              <a class="nav-link" href="<?php echo e(url('/dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a>
            </li>
            <li class="nav-item text-center dropdown">
                <a 
                  v-pre
                  href="#" 
                  role="button" 
                  id="navbarDropdown" 
                  class="nav-link dropdown-toggle" 
                  data-bs-toggle="dropdown" 
                  aria-haspopup="true" 
                  aria-expanded="false" 
                >
                    <?php echo e(Auth::user()->name); ?>

                </a>

                <div 
                  aria-labelledby="navbarDropdown"
                  class="dropdown-menu dropdown-menu-end text-center" 
                >
                    <a class="dropdown-item logout-button" href="<?php echo e(route('logout')); ?>">
                        <?php echo e(__('Logout')); ?>

                    </a>

                    <form action="<?php echo e(route('logout')); ?>" method="POST" class="d-none logout-form">
                        <?php echo csrf_field(); ?>
                    </form>
                </div>
            </li>
          <?php endif; ?>
      </ul>
    </div>
  </div>
</nav><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/layouts/app_header.blade.php ENDPATH**/ ?>