

<?php
$iconClass = 'input-group-text bg-white ps-3';
$inputClass = 'form-control px-2 border-start-0 rounded-end';
?>

<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="row align-items-center justify-content-center" style="height: 100vh">
            <div class="col-lg-8">
                <div class="card">
                    <div class="row">
                        <div class="col-lg-5">
                            <div class="auth-form-sidebar">
                                <img height="142px" width="142px" src="<?php echo e(asset($app->logo)); ?>" alt="">
                                <h5 class="fw-bold mt-4"><?php echo e($app->title); ?></h5>
                            </div>
                        </div>

                        <div class="col-lg-7">
                            <form 
                                method="POST" 
                                class="auth-form pb-0" 
                                action="<?php echo e(route('login')); ?>"
                            >
                                <?php echo csrf_field(); ?>

                                <h5 class="mb-4">
                                    <a class="text-decoration-none" style="color: #1D2939" href="<?php echo e(route('login')); ?>">
                                        <?php echo e(__('Log in')); ?> |
                                    </a>
                                    <a class="text-decoration-none" href="<?php echo e(route('register')); ?>">
                                        <span style="color: #98A2B3"><?php echo e(__('Register')); ?></span>
                                    </a>
                                </h5>
                                <div class="input-group mb-4">
                                    <span class="<?php echo e($iconClass); ?> <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                        <i class="fa-regular fa-envelope"></i>
                                    </span>
                                    <input required id="email" name="email" type="email" value="<?php echo e(old('email')); ?>"
                                        placeholder="Email Address"
                                        class="<?php echo e($inputClass); ?> <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong> <?php echo e($message); ?> </strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="input-group">
                                    <span class="<?php echo e($iconClass); ?> <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                        <i class="fa-regular fa-lock-keyhole"></i>
                                    </span>
                                    <input required id="password" type="password" name="password" placeholder="Password"
                                        class="<?php echo e($inputClass); ?> <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>">
                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="invalid-feedback" role="alert">
                                            <strong><?php echo e($message); ?></strong>
                                        </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="d-flex align-items-center justify-content-between mt-2 mb-3"
                                    style="font-size: 14px">
                                    <div class="form-check">
                                        <input name="remember" type="checkbox" class="form-check-input" id="remember"
                                            <?php echo e(old('remember') ? 'checked' : ''); ?>>
                                        <label class="form-check-label" for="remember">
                                            <?php echo e(__('Remember Me')); ?>

                                        </label>
                                    </div>

                                    <?php if(Route::has('password.request')): ?>
                                        <a class="text-danger text-decoration-none" href="<?php echo e(route('password.request')); ?>"
                                            style="font-size: 14px">
                                            <?php echo e(__('Forgot Your Password?')); ?>

                                        </a>
                                    <?php endif; ?>
                                </div>

                                <button type="submit" class="form-control btn btn-primary text-white mb-3">
                                    <?php echo e(__('Login')); ?>

                                </button>
                            </form>

                            <form action="auth/google" method="GET" class="auth-form pt-0">
                                <?php echo csrf_field(); ?>

                                <?php if($google->active): ?>
                                    <button type="submit" class="form-control d-flex align-items-center justify-content-center mb-3">
                                        <img src="<?php echo e(asset('assets/icons/google.svg')); ?>" alt="" class="me-2">
                                        <?php echo e(__('Continue with Google')); ?>

                                    </button>
                                <?php endif; ?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('auth.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/developerpanel/onelink.developer-hk.xyz/resources/views/auth/login.blade.php ENDPATH**/ ?>